Bug 1441751

Summary: virt/install: console logs missing in Beaker jobs
Product: [Community] Beaker Reporter: Jakub Raček <jracek>
Component: testsAssignee: Dan Callaghan <dcallagh>
Status: CLOSED CURRENTRELEASE QA Contact: Dan Callaghan <dcallagh>
Severity: high Docs Contact:
Priority: unspecified    
Version: 24CC: asavkov, dcallagh, jstancek, mjia, pbunyan, rjoost
Target Milestone: 24.3Keywords: Patch
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-26 07:43:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jakub Raček 2017-04-12 15:38:09 UTC
This is a consequence of fixing https://bugzilla.redhat.com/show_bug.cgi?id=1420205 . Problem is with beaker-core-tasks/virt/install. Daemon which monitors guest console log is left with fd, that's no longer getting any updates.

How reproducible: high

Steps to Reproduce:
1. submit Beaker job with guestrecipes
2. wait for /virt/install to finish

Actual results:

Beaker guestrecipes are missing console logs.

Expected results:

Beaker guestrecipes contain console logs.

Comment 2 Dan Callaghan 2017-05-26 00:52:43 UTC
Tagged /distribution/virt/install 4.0-94.

Comment 5 Dan Callaghan 2017-05-26 07:43:44 UTC
/distribution/virt/install 4.0-94 has been released.

Comment 6 Dan Callaghan 2017-05-29 00:46:28 UTC
Also cherry-picked this to /distribution/virt/image-install and tagged as 1.0-8.